<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/Integration/include/Integration/TestExceptionEncounteredSender.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_eecb7863cc5539e333a9a51474f7e532.html">Integration</a></li><li class="navelem"><a class="el" href="dir_d487033c4cf6e1e6824ef2db7b280e3e.html">include</a></li><li class="navelem"><a class="el" href="dir_84c9947eba37dd4948f5fc1406e22cb3.html">Integration</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">TestExceptionEncounteredSender.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_test_exception_encountered_sender_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2017-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_INTEGRATION_INCLUDE_INTEGRATION_TESTEXCEPTIONENCOUNTEREDSENDER_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_INTEGRATION_INCLUDE_INTEGRATION_TESTEXCEPTIONENCOUNTEREDSENDER_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;condition_variable&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;future&gt;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;fstream&gt;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &lt;chrono&gt;</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#include &lt;deque&gt;</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#include &lt;mutex&gt;</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#include &lt;unordered_map&gt;</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_directive_handler_interface_8h.html">AVSCommon/SDKInterfaces/DirectiveHandlerInterface.h</a>&quot;</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_exception_encountered_sender_interface_8h.html">AVSCommon/SDKInterfaces/ExceptionEncounteredSenderInterface.h</a>&quot;</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_attachment_manager_8h.html">AVSCommon/AVS/Attachment/AttachmentManager.h</a>&quot;</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_j_s_o_n_utils_8h.html">AVSCommon/Utils/JSON/JSONUtils.h</a>&quot;</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="keyword">using namespace </span><a class="code" href="namespacealexa_client_s_d_k_1_1avs_common.html">alexaClientSDK::avsCommon</a>;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="keyword">namespace </span>integration {</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="keyword">namespace </span>test {</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00043"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_exception_encountered_sender.html">   43</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_exception_encountered_sender.html">TestExceptionEncounteredSender</a> : <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_exception_encountered_sender_interface.html">avsCommon::sdkInterfaces::ExceptionEncounteredSenderInterface</a> {</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    <span class="keywordtype">void</span> sendExceptionEncountered(</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;        <span class="keyword">const</span> std::string&amp; unparsedDirective,</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;        <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#ae31d62036894f4c57c46d65dee1482fc">avsCommon::avs::ExceptionErrorType</a> error,</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;        <span class="keyword">const</span> std::string&amp; message) <span class="keyword">override</span>;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    std::shared_ptr&lt;avs::AVSDirective&gt; parseDirective(</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;        <span class="keyword">const</span> std::string&amp; rawJSON,</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;        std::shared_ptr&lt;avsCommon::avs::attachment::AttachmentManager&gt; attachmentManager);</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div><div class="line"><a name="l00063"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_exception_encountered_sender_1_1_exception_params.html">   63</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_exception_encountered_sender_1_1_exception_params.html">ExceptionParams</a> {</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_exception_encountered_sender_1_1_exception_params.html">ExceptionParams</a>();</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;        <span class="comment">// Enum for the way the directive was passed.</span></div><div class="line"><a name="l00071"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_exception_encountered_sender_1_1_exception_params.html#a9237f75ca3f262bf75e5eedda1275fd5">   71</a></span>&#160;        <span class="keyword">enum class</span> <a class="code" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_exception_encountered_sender_1_1_exception_params.html#a9237f75ca3f262bf75e5eedda1275fd5">Type</a> {</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;            <span class="comment">// Not yet set.</span></div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;            UNSET,</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;            <span class="comment">// Set when sendExceptionEncountered is called.</span></div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;            EXCEPTION,</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;            <span class="comment">// Set when waitForNext times out waiting for a directive.</span></div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;            <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html#a31cdf3a4381c8885296ba2097263282ea070a0fb40f6c308ab544b227660aadff">TIMEOUT</a></div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;        };</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;        <span class="comment">// Type of how the directive was passed.</span></div><div class="line"><a name="l00081"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_exception_encountered_sender_1_1_exception_params.html#aa609e4ee283bb9eb961058b4ae3ed7cd">   81</a></span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_exception_encountered_sender_1_1_exception_params.html#a9237f75ca3f262bf75e5eedda1275fd5">Type</a> <a class="code" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_exception_encountered_sender_1_1_exception_params.html#aa609e4ee283bb9eb961058b4ae3ed7cd">type</a>;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;        <span class="comment">// AVSDirective passed from the Directive Sequencer.</span></div><div class="line"><a name="l00083"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_exception_encountered_sender_1_1_exception_params.html#a0d8e5d3e3c641f4efee96d1d0846ff9f">   83</a></span>&#160;        std::shared_ptr&lt;avsCommon::avs::AVSDirective&gt; <a class="code" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_exception_encountered_sender_1_1_exception_params.html#a0d8e5d3e3c641f4efee96d1d0846ff9f">directive</a>;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;        <span class="comment">// Unparsed directive string passed to sendExceptionEncountered.</span></div><div class="line"><a name="l00085"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_exception_encountered_sender_1_1_exception_params.html#a7c8035069ab247fe0e8c987c5fa73730">   85</a></span>&#160;        std::string <a class="code" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_exception_encountered_sender_1_1_exception_params.html#a7c8035069ab247fe0e8c987c5fa73730">exceptionUnparsedDirective</a>;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;        <span class="comment">// Error type passed to sendExceptionEncountered.</span></div><div class="line"><a name="l00087"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_exception_encountered_sender_1_1_exception_params.html#ab7f1763a9c0c17481a2f183de4229b7d">   87</a></span>&#160;        <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#ae31d62036894f4c57c46d65dee1482fc">avsCommon::avs::ExceptionErrorType</a> <a class="code" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_exception_encountered_sender_1_1_exception_params.html#ab7f1763a9c0c17481a2f183de4229b7d">exceptionError</a>;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;        <span class="comment">// Additional information passed to sendExceptionEncountered.</span></div><div class="line"><a name="l00089"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_exception_encountered_sender_1_1_exception_params.html#a75278003262d92687c297217c1a0bfe4">   89</a></span>&#160;        std::string <a class="code" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_exception_encountered_sender_1_1_exception_params.html#a75278003262d92687c297217c1a0bfe4">exceptionMessage</a>;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    };</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_exception_encountered_sender_1_1_exception_params.html">ExceptionParams</a> waitForNext(<span class="keyword">const</span> std::chrono::seconds duration);</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;    std::mutex m_mutex;</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;    std::condition_variable m_wakeTrigger;</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;    std::deque&lt;ExceptionParams&gt; m_queue;</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;};</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;}  <span class="comment">// namespace test</span></div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;}  <span class="comment">// namespace integration</span></div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_INTEGRATION_INCLUDE_INTEGRATION_TESTEXCEPTIONENCOUNTEREDSENDER_H_</span></div><div class="ttc" id="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_exception_encountered_sender_1_1_exception_params_html_aa609e4ee283bb9eb961058b4ae3ed7cd"><div class="ttname"><a href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_exception_encountered_sender_1_1_exception_params.html#aa609e4ee283bb9eb961058b4ae3ed7cd">alexaClientSDK::integration::test::TestExceptionEncounteredSender::ExceptionParams::type</a></div><div class="ttdeci">Type type</div><div class="ttdef"><b>Definition:</b> TestExceptionEncounteredSender.h:81</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_html"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common.html">alexaClientSDK::avsCommon</a></div><div class="ttdef"><b>Definition:</b> MockHTTP2Connection.cpp:19</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_exception_encountered_sender_1_1_exception_params_html_ab7f1763a9c0c17481a2f183de4229b7d"><div class="ttname"><a href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_exception_encountered_sender_1_1_exception_params.html#ab7f1763a9c0c17481a2f183de4229b7d">alexaClientSDK::integration::test::TestExceptionEncounteredSender::ExceptionParams::exceptionError</a></div><div class="ttdeci">avsCommon::avs::ExceptionErrorType exceptionError</div><div class="ttdef"><b>Definition:</b> TestExceptionEncounteredSender.h:87</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_html_a31cdf3a4381c8885296ba2097263282ea070a0fb40f6c308ab544b227660aadff"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html#a31cdf3a4381c8885296ba2097263282ea070a0fb40f6c308ab544b227660aadff">alexaClientSDK::avsCommon::utils::http2::HTTP2ResponseFinishedStatus::TIMEOUT</a></div><div class="ttdoc">Receipt of the response was not completed due to a timeout. </div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_html_ae31d62036894f4c57c46d65dee1482fc"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#ae31d62036894f4c57c46d65dee1482fc">alexaClientSDK::avsCommon::avs::ExceptionErrorType</a></div><div class="ttdeci">ExceptionErrorType</div><div class="ttdef"><b>Definition:</b> ExceptionErrorType.h:28</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_exception_encountered_sender_1_1_exception_params_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_exception_encountered_sender_1_1_exception_params.html">alexaClientSDK::integration::test::TestExceptionEncounteredSender::ExceptionParams</a></div><div class="ttdef"><b>Definition:</b> TestExceptionEncounteredSender.h:63</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_exception_encountered_sender_1_1_exception_params_html_a7c8035069ab247fe0e8c987c5fa73730"><div class="ttname"><a href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_exception_encountered_sender_1_1_exception_params.html#a7c8035069ab247fe0e8c987c5fa73730">alexaClientSDK::integration::test::TestExceptionEncounteredSender::ExceptionParams::exceptionUnparsedDirective</a></div><div class="ttdeci">std::string exceptionUnparsedDirective</div><div class="ttdef"><b>Definition:</b> TestExceptionEncounteredSender.h:85</div></div>
<div class="ttc" id="_directive_handler_interface_8h_html"><div class="ttname"><a href="_directive_handler_interface_8h.html">DirectiveHandlerInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_exception_encountered_sender_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_exception_encountered_sender.html">alexaClientSDK::integration::test::TestExceptionEncounteredSender</a></div><div class="ttdef"><b>Definition:</b> TestExceptionEncounteredSender.h:43</div></div>
<div class="ttc" id="_j_s_o_n_utils_8h_html"><div class="ttname"><a href="_j_s_o_n_utils_8h.html">JSONUtils.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_exception_encountered_sender_1_1_exception_params_html_a0d8e5d3e3c641f4efee96d1d0846ff9f"><div class="ttname"><a href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_exception_encountered_sender_1_1_exception_params.html#a0d8e5d3e3c641f4efee96d1d0846ff9f">alexaClientSDK::integration::test::TestExceptionEncounteredSender::ExceptionParams::directive</a></div><div class="ttdeci">std::shared_ptr&lt; avsCommon::avs::AVSDirective &gt; directive</div><div class="ttdef"><b>Definition:</b> TestExceptionEncounteredSender.h:83</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="_exception_encountered_sender_interface_8h_html"><div class="ttname"><a href="_exception_encountered_sender_interface_8h.html">ExceptionEncounteredSenderInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_exception_encountered_sender_1_1_exception_params_html_a9237f75ca3f262bf75e5eedda1275fd5"><div class="ttname"><a href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_exception_encountered_sender_1_1_exception_params.html#a9237f75ca3f262bf75e5eedda1275fd5">alexaClientSDK::integration::test::TestExceptionEncounteredSender::ExceptionParams::Type</a></div><div class="ttdeci">Type</div><div class="ttdef"><b>Definition:</b> TestExceptionEncounteredSender.h:71</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_exception_encountered_sender_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_exception_encountered_sender_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::ExceptionEncounteredSenderInterface</a></div><div class="ttdef"><b>Definition:</b> ExceptionEncounteredSenderInterface.h:28</div></div>
<div class="ttc" id="_attachment_manager_8h_html"><div class="ttname"><a href="_attachment_manager_8h.html">AttachmentManager.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_exception_encountered_sender_1_1_exception_params_html_a75278003262d92687c297217c1a0bfe4"><div class="ttname"><a href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_exception_encountered_sender_1_1_exception_params.html#a75278003262d92687c297217c1a0bfe4">alexaClientSDK::integration::test::TestExceptionEncounteredSender::ExceptionParams::exceptionMessage</a></div><div class="ttdeci">std::string exceptionMessage</div><div class="ttdef"><b>Definition:</b> TestExceptionEncounteredSender.h:89</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
